<?php

header ("Last-Modified: " . date("D, d M Y H:i:s", time()) . " GMT");

if ( isset( $_ENV['HTTP_IF_MODIFIED_SINCE'] ) || isset( $_SERVER['HTTP_IF_MODIFIED_SINCE'] ) ) {
	header( $_SERVER['SERVER_PROTOCOL'] . ' 304 Not Modified' );
	die();
}

$current_url = ( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http" ) . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

?><!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Проверка Last-Modified</title>
    <style>body{padding: 10vh;font-size:1.3em;font-family:sans-serif;}</style>
</head>
<body>
    Нажмите сюда, чтобы запустить <a href="https://lastmodified.ru/#<?php echo urlencode($current_url) ?>">проверку Last Modified</a>.
</body>
</html>